> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluently.at/llms.txt
> Use this file to discover all available pages before exploring further.

# Send SMS

> Sends an SMS to a recipient. Can be used to send SMS from a workflow.



## OpenAPI

````yaml POST /api/developers/v1/communication/sms
openapi: 3.0.3
info:
  title: Developer API
  version: 1.0.0
servers:
  - url: https://app.fluently.at
security:
  - bearerAuth: []
paths:
  /api/developers/v1/communication/sms:
    post:
      tags:
        - Communication
      summary: Send SMS
      description: Sends an SMS to a recipient. Can be used to send SMS from a workflow.
      operationId: sendSMS
      parameters: []
      requestBody:
        description: Parameters for sending an SMS.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendSMSRequest'
      responses:
        '200':
          description: SMS sent successfully, returning details of the sent SMS.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeveloperCommunicationSMSResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - bearerAuth: []
components:
  schemas:
    SendSMSRequest:
      type: object
      properties:
        agentId:
          type: string
          description: The agent's ID
        sender:
          type: string
          description: The sender's name
        recipient:
          type: string
          description: The recipient
        content:
          type: string
          description: The content of the SMS
      required:
        - agentId
        - sender
        - recipient
        - content
    DeveloperCommunicationSMSResponse:
      type: object
      properties:
        cost:
          type: number
          description: The cost metric for the sent sms.
        recipient:
          type: string
          description: The recipient for the sms
          example: +43 123 456789
      required:
        - cost
        - recipient
    BadRequestResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    UnauthorizedResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
      required:
        - success
        - message
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
      required:
        - success
        - message
  responses:
    BadRequest:
      description: Invalid or missing parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponse'
    Unauthorized:
      description: Missing or invalid Authorization header or token
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponse'
    InternalError:
      description: Internal server error during authentication or processing
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````